# Created : 06/12/2021
# Refactored : 09/12/2021

from euclide import *


def inverse_mult(a, p) :
	""" Calcule l'inverse multiplicatif de a mod p

	Args:
		a (int): a
		p (int): Modulo p

	Returns:
		[int]: Inverse Modulaire
	"""	
	pgcd, x, y =  pgcd_etendu(a, p)
	if pgcd != 1:
		return None
	return x if a > p else y

if __name__ == "__main__":
	print(inverse_mult(3, 11))